<?php
// $Id: nicemap.views.inc,v 1.1.2.3 2009/03/31 19:55:13 jmiccolis Exp $

/**
 * @file
 * Views plugins definition for nicemap.
 */

/**
 * Implementation of hook_views_style_plugins(). Adds view types to views UI interface.
 */
function nicemap_views_plugins() {
  return array(
    'style' => array(
      'nicemap' => array(
        'title' => t('Nice map'),
        'help' => t('Displays content on a WMS map.'),
        'handler' => 'nicemap_views_plugin',
        'theme' => 'views_view_nicemap_map',
        'theme file' => 'nicemap_views.theme.inc',
        'theme path' => drupal_get_path('module', 'nicemap') .'/views',
        'path' => drupal_get_path('module', 'nicemap') .'/views',
        'uses fields' => TRUE,
        'uses options' => TRUE,
        'type' => 'normal',
        'even empty' => TRUE,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_data().
 */
function nicemap_views_data() {
  $data = array();
  $data['nicemap']['table']['group'] = t('Nicemap');
  $data['nicemap']['table']['join'] = array(
    '#global' => array(),
  );
  $data['nicemap']['bbox'] = array(
    'title' => t('Bounding box'),
    'help' => t('Pass a set of coordinates for nicemap to use as the map bounding box.'),
    'argument' => array(
      'handler' => 'nicemap_handler_argument_bbox',
    ),
  );
  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function nicemap_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'nicemap') . '/views',
    ),
    'handlers' => array(
      // argument handlers
      'nicemap_handler_argument_bbox' => array(
        'parent' => 'views_handler_argument',
      ),
    ),
  );
}
